<template>
  <div class="model">
    <div class="text-lg py-2">
      <img src="@/assets/images/tb.png" class="ml-3" alt="" />
      {{ title }}</div
    >
    <slot />
  </div>
</template>
<script setup lang="ts">
  defineProps({
    title: String,
  });
</script>
<style lang="less">
  .model {
    // width: 200px;
    // height: 100px;
    background:
      linear-gradient(to left, #0074d8, #0074d8) left top no-repeat,
      linear-gradient(to bottom, #0074d8, #0074d8) left top no-repeat,
      linear-gradient(to left, #0074d8, #0074d8) right top no-repeat,
      linear-gradient(to bottom, #0074d8, #0074d8) right top no-repeat,
      linear-gradient(to left, #0074d8, #0074d8) left bottom no-repeat,
      linear-gradient(to bottom, #0074d8, #0074d8) left bottom no-repeat,
      linear-gradient(to left, #0074d8, #0074d8) right bottom no-repeat,
      linear-gradient(to left, #0074d8, #0074d8) right bottom no-repeat;
    background-size:
      0.2125rem 1rem,
      1rem 0.2125rem,
      0.2125rem 1rem,
      1rem 0.2125rem;
    transition: al1 0.4s ease;
    border: 1px solid transparent;
  }
</style>
